EDICIóN GENERAL

Blender 2.8 Beta, primeras impresiones

#15 "- El API ¿por que cojones no tiene un SDK en C++ como cualquier otro soft? o haces addons en Python y te quedas sin multithread en muchos casos o tienes que modificar el código del propio Blender con lo cual en cuanto sale versión nueva te jodes."

Esto le pasa a casi cualquier programa de modelado 3D, empezando por el 3ds Max, hay plugins que de versión a versión no funcionan o no lo hacen correctamente, plugins que requieren una versión expecífica del 3ds max, otros plugins en cambio cuelan si no hay cambios grandes en el motor del 3ds max.
Pasa mucho sobre todo con plugins de renderizado o que realizan temas complejos, generación de pelo, dinámica de fluidos, etc., como por ejemplo los V-Ray, Corona o los plugins de Sitni Sati, y demás.
#39 no has entendido mi petición, 3ds Max tiene muchos plugin por qué SI soporta c++ aunque entre versiones haya cambios en el API y haya que recompilarlos, lo mismo ocurre en Maya, Cinema, Modo, Softimage, Lightwave... todos menos Blender
#40 Pues sí, no te había entendido, y la verdad como bien dices no tiene mucho sentido que sigan haciendo el tema de los addons como lo han venido haciendo hasta ahora.

menéame